Skip to Content
Reservations

Create Reservation

Access

Member of the organization with this permission:

  • reservations:write

An API key with scopes also needs the permission among its scopes.

POST
/orgs/{organizationId}/reservations

Creates a new reservation.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
checkIn*string
Formatdate-time
checkOut?|null
numberOfToddlers*number
Range0 <= value
numberOfChildren*number
Range0 <= value
numberOfAdults*number
Range0 < value
numberOfAnimals*number
Range0 <= value
preferredTerrainId?string
note?string
allowOnlinePayments?boolean
Defaulttrue
sendConfirmationEmails?boolean
Defaulttrue
licensePlates?array<>
Default[]
customer*
customFields?
customerId?string
newCustomer?

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//reservations' \  -H 'Content-Type: application/json' \  -d '{  "checkIn": "2019-08-24T14:15:22Z",  "numberOfToddlers": 0,  "numberOfChildren": 0,  "numberOfAdults": 1,  "numberOfAnimals": 0,  "customer": {}}'
Example Response
null